cdac.medinfo.enums

## Enum EnumEntryDataSection

- java.lang.Object
- - java.lang.Enum<EnumEntryDataSection>
  - - cdac.medinfo.enums.EnumEntryDataSection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumEntryDataSection>

      public enum EnumEntryDataSection
      extends java.lang.Enum<EnumEntryDataSection>

  This class specify section's entry data constants used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACT` This constant specifies act value for section's entry data
    `ENCOUNTER` This constant specifies encounter value for section's entry data
    `OBSERVATION` This constant specifies observation value for section's entry data
    `PROCEDURE` This constant specifies procedure value for section's entry data
    `SUBSTANCEADMINISTRATION` This constant specifies substance administration value for section's entry data
    `SUPPLY` This constant specifies supply value for section's entry data

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumEntryDataSection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumEntryDataSection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBSERVATION

          public static final EnumEntryDataSection OBSERVATION

      This constant specifies observation value for section's entry data

    - #### ACT

          public static final EnumEntryDataSection ACT

      This constant specifies act value for section's entry data

    - #### ENCOUNTER

          public static final EnumEntryDataSection ENCOUNTER

      This constant specifies encounter value for section's entry data

    - #### SUPPLY

          public static final EnumEntryDataSection SUPPLY

      This constant specifies supply value for section's entry data

    - #### SUBSTANCEADMINISTRATION

          public static final EnumEntryDataSection SUBSTANCEADMINISTRATION

      This constant specifies substance administration value for section's entry data

    - #### PROCEDURE

          public static final EnumEntryDataSection PROCEDURE

      This constant specifies procedure value for section's entry data

  - ### Method Detail

    - #### values

          public static EnumEntryDataSection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumEntryDataSection c : EnumEntryDataSection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumEntryDataSection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.